ConnectionPointContainer (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: ConnectionPointContainer

Package com.sun.jna.platform.win32.COM

# Class ConnectionPointContainer

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.ConnectionPointContainer

All Implemented Interfaces:
  `NativeMapped`, `IConnectionPointContainer`, `IUnknown`

public class ConnectionPointContainer extends Unknown implements IConnectionPointContainer

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

  `Unknown.ByReference`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IConnectionPointContainer

  `IID_IConnectionPointContainer`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionPointContainer(Pointer pointer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `EnumConnectionPoints()`
  `WinNT.HRESULT`
  `FindConnectionPoint(Guid.REFIID riid, PointerByReference ppCP)`
  `HRESULT FindConnectionPoint( [in] REFIID riid, [out] IConnectionPoint **ppCP );`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Constructor Details

  - ### ConnectionPointContainer

    public ConnectionPointContainer(Pointer pointer)

- ## Method Details

  - ### EnumConnectionPoints

    public WinNT.HRESULT EnumConnectionPoints()

  - ### FindConnectionPoint

    public WinNT.HRESULT FindConnectionPoint(Guid.REFIID riid, PointerByReference ppCP)
    Description copied from interface: `IConnectionPointContainer`
    `HRESULT FindConnectionPoint( [in] REFIID riid, [out] IConnectionPoint **ppCP );`
    Specified by:
      `FindConnectionPoint` in interface `IConnectionPointContainer`
    Returns:
      hresult